#ifndef _USBDII_H_
#define _USBDII_H_

#include <sys/types.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

//function prototypes

u_int32_t dcihid_open(const char *dev_name, const u_int card_id, const u_int card_num);
int32_t   dcihid_close(const u_int32_t dcihid_handle);

int32_t   dcihid_write(const u_int32_t dcihid_handle, const u_int32_t addr, const u_int32_t data);
int32_t   dcihid_read(const u_int32_t dcihid_handle, const u_int32_t addr, u_int8_t *data);
int32_t   dcihid_read_ad(const u_int32_t dcihid_handle, const u_int32_t addr, u_int32_t *data);

//open and close device 

u_int32_t hid_OpenDevice(const char *dev_name,const u_int32_t device_type,const u_int32_t device_id);
int32_t   hid_CloseDevice(const u_int32_t hDevice);

//read and set IO

int32_t	  hid_GetDigitalByte(const u_int32_t hDevice, const u_int32_t dwPort, u_int8_t *lpbyPortState);
int32_t	  hid_SetDigitalByte(const u_int32_t hDevice, const u_int32_t dwPort, const u_int8_t byPortState);

//read anolog input (Only for USBLABKIT and USBSTARTER)

int32_t   hid_GetAnalogChannel(const u_int32_t hDevice, const u_int32_t dwPort, u_int32_t *lpdwPortState);

//reset device 

int32_t hid_ResetHW(const u_int32_t hDevice);

//watchdog function (Only for firmware version 1.0.0.7)

int32_t hid_EnableWD(const u_int32_t hDevice, int32_t enable);
int32_t hid_SetWD(const u_int32_t hDevice, u_int mode);
int32_t hid_ClearWD(const u_int32_t hDevice);



#ifdef _cplusplus
}
#endif /* _cplusplus */

#endif /* _USBDII_H_ */
